Skip to content

Read the current device's finite Mobile Coach preferences

GET
/v1/mobile/coach/preferences
curl --request GET \
--url https://api.vocapable.com/v1/mobile/coach/preferences \
--header 'Authorization: Bearer <token>'

Successful Response

Media typeapplication/json
MobileCoachPreferences

The entire finite Coach state for the authenticated current device.

object
telemetry_opt_in
Telemetry Opt In
boolean
recommendations
Recommendations
Array<object>
<= 9 items
MobileCoachRecommendationPreference

Current-device handling of one fixed Workspace Setup recommendation key.

object
key
required
Key
string
Allowed values: team_coverage transfer_destination availability schedule notifications calendar_booking receptionist capacity portal
state
required
State
string
Allowed values: active dismissed snoozed
snoozed_until
Any of:
string format: date-time
Example
{
"telemetry_opt_in": false,
"recommendations": [
{
"key": "team_coverage",
"state": "active"
}
]
}